%global         momorel 1

Name:           perl-Module-Build-Tiny
Version:        0.038
Release:        %{momorel}m%{?dist}
Summary:        Tiny replacement for Module::Build
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Build-Tiny/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/Module-Build-Tiny-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Capture-Tiny
BuildRequires:  perl-Carp
BuildRequires:  perl-CPAN-Meta
BuildRequires:  perl-Cwd
BuildRequires:  perl-Data-Dumper
BuildRequires:  perl-ExtUtils-BuildRC >= 0.003
BuildRequires:  perl-ExtUtils-Config >= 0.003
BuildRequires:  perl-ExtUtils-Helpers >= 0.020
BuildRequires:  perl-ExtUtils-Install
BuildRequires:  perl-ExtUtils-InstallPaths >= 0.002
BuildRequires:  perl-File-Find-Rule
BuildRequires:  perl-File-HomeDir
BuildRequires:  perl-File-Path
BuildRequires:  perl-File-pushd >= 1.00
BuildRequires:  perl-File-Slurp
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Getopt-Long
BuildRequires:  perl-IO
BuildRequires:  perl-JSON >= 2
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Harness >= 0.30
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple >= 0.88
Requires:       perl-CPAN-Meta
Requires:       perl-Cwd
Requires:       perl-ExtUtils-BuildRC >= 0.003
Requires:       perl-ExtUtils-Config >= 0.003
Requires:       perl-ExtUtils-Helpers >= 0.020
Requires:       perl-ExtUtils-Install
Requires:       perl-ExtUtils-InstallPaths >= 0.002
Requires:       perl-File-Find-Rule
Requires:       perl-File-HomeDir
Requires:       perl-File-Path
Requires:       perl-File-Slurp
Requires:       perl-Getopt-Long
Requires:       perl-JSON >= 2
Requires:       perl-Test-Harness
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Many Perl distributions use a Build.PL file instead of a Makefile.PL file
to drive distribution configuration, build, test and installation.
Traditionally, Build.PL uses Module::Build as the underlying build system.
This module provides a simple, lightweight, drop-in replacement.

%prep
%setup -q -n Module-Build-Tiny-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install --destdir=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README Todo
%{perl_vendorlib}/Module/Build/Tiny.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.038-1m)
- update to 0.038

* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.037-1m)
- update to 0.037

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.036-2m)
- rebuild against perl-5.20.0

* Mon May  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.036-1m)
- update to 0.036

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.035-1m)
- update to 0.035

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.034-1m)
- update to 0.034
- rebuild against perl-5.18.2

* Sun Dec 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.030-1m)
- update to 0.030

* Sun Oct  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.028-1m)
- update to 0.028

* Fri Sep 13 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.027-1m)
- update to 0.027

* Wed Aug 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.026-1m)
- update to 0.026

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.025-2m)
- rebuild against perl-5.18.1

* Sat Jul 13 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.025-1m)
- update to 0.025

* Sat Jul  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.024-1m)
- update to 0.024

* Mon Jun  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.023-1m)
- update to 0.023

* Sun Jun  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.022-1m)
- update to 0.022

* Tue May 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.021-1m)
- update to 0.021

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.020-1m)
- update to 0.020
- rebuild against perl-5.18.0

* Fri May  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.019-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
